GNU bug report logs - #56169
[PATCH] gnu: Add cambalache.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Keywords: patch; dated Thu, 23 Jun 2022 15:02:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 56169 <at> debbugs.gnu.org:


Received: (at 56169) by debbugs.gnu.org; 1 Jul 2022 11:38:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 01 07:38:05 2022
Received: from localhost ([127.0.0.1]:36459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o7EyL-00053o-3b
	for submit <at> debbugs.gnu.org; Fri, 01 Jul 2022 07:38:05 -0400
Received: from out2.mail.ruhr-uni-bochum.de ([134.147.42.229]:31561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel.meissner-i4k@HIDDEN>)
 id 1o7EyH-00053G-JU
 for 56169 <at> debbugs.gnu.org; Fri, 01 Jul 2022 07:38:03 -0400
Received: from mx2.mail.ruhr-uni-bochum.de (localhost [127.0.0.1])
 by out2.mail.ruhr-uni-bochum.de (Postfix mo-ext) with ESMTP id 4LZCqk6bhxz8ST7;
 Fri,  1 Jul 2022 13:37:54 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ruhr-uni-bochum.de;
 s=mail-2017; t=1656675474;
 bh=E96Ahy/7OZO2WNrpl9yxA+9aQ+jCYRzoRnubUucFfo4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=H7FJT9jYgkSrX2iIHb/gVPoiea3uoTsNvPqW7v8D2zzkGB3BRZ90EHgIzuunxdTb9
 H0hoy5FO7w2Ah5ld1zfjaN8lzJpwkk3/+vJEe6DBmCvWKjOpFdY4Q//WD8AlrYCju/
 Oy3fcxDPc2aJd0RTJNr6hkiX8p7t1kzjwBTp3dpk=
Received: from out2.mail.ruhr-uni-bochum.de (localhost [127.0.0.1])
 by mx2.mail.ruhr-uni-bochum.de (Postfix idis) with ESMTP id 4LZCqk60lkz8SSV;
 Fri,  1 Jul 2022 13:37:54 +0200 (CEST)
X-Envelope-Sender: <daniel.meissner-i4k@HIDDEN>
X-RUB-Notes: Internal origin=134.147.42.236
Received: from mail2.mail.ruhr-uni-bochum.de (mail2.mail.ruhr-uni-bochum.de
 [134.147.42.236])
 by out2.mail.ruhr-uni-bochum.de (Postfix mi-int) with ESMTP id 4LZCqk4k1Yz8SfR;
 Fri,  1 Jul 2022 13:37:54 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.104.1 at mx2.mail.ruhr-uni-bochum.de
Received: from xii-04 (pm26.mg07.ruhr-uni-bochum.de [10.150.49.41])
 by mail2.mail.ruhr-uni-bochum.de (Postfix) with ESMTPSA id 4LZCqk0pFDzDgyq;
 Fri,  1 Jul 2022 13:37:53 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.104.2 at mail2.mail.ruhr-uni-bochum.de
From: =?utf-8?Q?Daniel_Mei=C3=9Fner?= <daniel.meissner-i4k@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#56169: [PATCH] gnu: Add cambalache.
References: <87ilokc4um.fsf@HIDDEN>
 <bc31173156e4bfc4cd1f317ebdc4c768e3eeb9ff.camel@HIDDEN>
 <87o7yav7dd.fsf_-_@HIDDEN>
 <301bd0e47791b49e275c5d5ab3879b38533f2866.camel@HIDDEN>
Date: Fri, 01 Jul 2022 13:37:53 +0200
In-Reply-To: <301bd0e47791b49e275c5d5ab3879b38533f2866.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Thu, 30 Jun 2022 17:25:20 +0200")
Message-ID: <87mtdtf4ha.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56169
Cc: 56169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> Am Donnerstag, dem 30.06.2022 um 11:16 +0200 schrieb Daniel Mei=C3=9Fner:
> [...]
>> 1. There's another typelib called Adw which is not found
> Should be resolved by adding libadwaita to the inputs.

Yep, it did resolve it.

>> 2. gi.repository.GLib.GError: gdk-pixbuf-error-quark: Format der
>> Bilddatei unbekannt (3)
> A broken image?  Any supporting hints like file paths?

There's a backtrace of a Python file.  Maybe that helps.

--8<---------------cut here---------------start------------->8---
(.cambalache-real:13827): Gtk-WARNING **: 13:32:30.577: Could not load a pi=
xbuf from icon theme.
This may indicate that pixbuf loaders or the mime database could not be fou=
nd.
Traceback (most recent call last):
  File "/gnu/store/ax5i4mwlwjhk3jwr3kfb41n48fczp9hv-cambalache-0.10.2/lib/p=
ython3.9/site-packages/cambalache/cmb_property_controls.py", line 562, in _=
_load_icon_finish
    self.__model[data][6] =3D info.load_icon_finish(res)
gi.repository.GLib.GError: gdk-pixbuf-error-quark: Format der Bilddatei unb=
ekannt (3)
--8<---------------cut here---------------end--------------->8---

Best

--=20
Daniel




Information forwarded to guix-patches@HIDDEN:
bug#56169; Package guix-patches. Full text available.

Message received at 56169 <at> debbugs.gnu.org:


Received: (at 56169) by debbugs.gnu.org; 30 Jun 2022 15:25:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 11:25:30 2022
Received: from localhost ([127.0.0.1]:35362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6w2s-0004Mf-GO
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 11:25:30 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:42850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o6w2q-0004MS-2f
 for 56169 <at> debbugs.gnu.org; Thu, 30 Jun 2022 11:25:29 -0400
Received: by mail-ej1-f68.google.com with SMTP id fi2so39649892ejb.9
 for <56169 <at> debbugs.gnu.org>; Thu, 30 Jun 2022 08:25:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=+i5Ib3KUpixOV7ZYXKwzQ60RlrusmIPzQIsQzTOGupA=;
 b=cXq1UIRZ9TBEF2uc9H3UjeS2ZhN6rZtfTbcj7KlyPFfzF/u2YgdVLbcLTttyJwcV2e
 9Jrv6ENhkQfei3dDb28VhUe+9xALP1EWRVr7itd3/PsQjgcrkpSESap+1yexx3ZsnvyB
 rffgz99/tNKEzqJuYHE7KMr/7Ja5tuma+TW4QV9vCroQhsha+YMqV8nNRjlJI6jM4hjP
 YUoY77jZUSgiybn0M89l4OHz3nkPN0gjz3LvRNAgLb5qlF6FGptre9WzfKLR+m6FbcB+
 WVRNw5zXzYNjgF/x9OYufLM1TK96RSSTdLiUejrgayQqdDqcNG/9o1EkphMwSZNbeOz6
 vxSA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=+i5Ib3KUpixOV7ZYXKwzQ60RlrusmIPzQIsQzTOGupA=;
 b=TUYUp9eCH7aZwyJBZ0pyG5MMAvmwKiibvyQab5O2l/SWJedORcU+mRo7cQZUzn8rYQ
 Lak25/McUSXb+GcKAXGutk7l9o7gwMtyzeJH/PcYiFHmLUUliLAU4ZLUDKmyFUMWE4UW
 cZC23se+7Uhh0HgD+6RzrLnjwWf02clSZNVRFruuxmfsPOOxXU6nt7VFPYuWbuwVt+xR
 1TNenvZDAOpsxqBbju85xnYFbUlYn2LNVPS2HwLt4ITwb6xCL50iaiksrEiBvhbkfG0W
 YE2obMAN4Y7SxkweJQEsFSOFnVgbBn8+jmQQvnSaBg+ow51DUIsbyUD2u1Rwu1crDDxz
 NISw==
X-Gm-Message-State: AJIora/aei4M/rAgAAP2KwNKq+MZN8VwHz70KfYxGY3Ajz5uvifjDEa7
 nFs37gWtn4ggD3hsOBgvIeg=
X-Google-Smtp-Source: AGRyM1vuOWwX2/dfrI7LMYiZABv09arU49D8HnjTy2V0sNHg/nAU/T/U0TrT4Q3tw85N6NEjivqlKQ==
X-Received: by 2002:a17:906:529a:b0:726:be4e:aef3 with SMTP id
 c26-20020a170906529a00b00726be4eaef3mr9403535ejm.87.1656602722096; 
 Thu, 30 Jun 2022 08:25:22 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 f26-20020a056402005a00b004358f6e0570sm13333769edu.17.2022.06.30.08.25.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 30 Jun 2022 08:25:21 -0700 (PDT)
Message-ID: <301bd0e47791b49e275c5d5ab3879b38533f2866.camel@HIDDEN>
Subject: Re: bug#56169: [PATCH] gnu: Add cambalache.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Daniel =?ISO-8859-1?Q?Mei=DFner?= <daniel.meissner-i4k@HIDDEN>
Date: Thu, 30 Jun 2022 17:25:20 +0200
In-Reply-To: <87o7yav7dd.fsf_-_@HIDDEN>
References: <87ilokc4um.fsf@HIDDEN>
 <bc31173156e4bfc4cd1f317ebdc4c768e3eeb9ff.camel@HIDDEN>
 <87o7yav7dd.fsf_-_@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56169
Cc: 56169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Donnerstag, dem 30.06.2022 um 11:16 +0200 schrieb Daniel Meißner:
> Liliana Marie Prikler writes:
> 
> > Am Mittwoch, dem 29.06.2022 um 09:21 +0200 schrieb Daniel Meißner:
> > > Hi Liliana,
> > > 
> > > Thanks for packaging Cambalache :-) I have applied your patch to
> > > my
> > > local Guix checkout and it builds fine.  However, running
> > > 
> > >     ./pre-inst-env guix shell cambalache -- cambalace
> > > 
> > > Cambalache starts up but I am unable to add any widgets.  There
> > > are
> > > some error messages written to stderr that complain about a
> > > missing
> > > typelib: CambalachePrivate.  I see that you wrap the programme
> > > but
> > > you did not include the path to the CambalachePrivate typelib. 
> > > So
> > > maybe this is causing the problem?
> > Thanks, I'll update the patch accordingly soon™.
> 
> I did a first try by wrapping the programme as follows:
> 
> --8<---------------cut here---------------start------------->8---
> (wrap-program prog
>               `("GI_TYPELIB_PATH"
>                 suffix
>                 (,(getenv "GI_TYPELIB_PATH")
>                  ,(string-append #$output "/lib/girepository-1.0"))))
> --8<---------------cut here---------------end--------------->8---
> 
> Now, with this, cambalache finds the typelib but complains on two
> other things:
> 
> 1. There's another typelib called Adw which is not found
Should be resolved by adding libadwaita to the inputs.
> 2. gi.repository.GLib.GError: gdk-pixbuf-error-quark: Format der
> Bilddatei unbekannt (3)
A broken image?  Any supporting hints like file paths?

> Now 2. is more severe since it occurs when I add for example a
> GtkApplicationWindow to the project.  This widget does not show up
> and I cannot add other widgets to the application window.
> 
> > > Additionally, the icons in the headerbar are missing.  This seems
> > > to
> > > be related to:
> > > 
> > > Missing dependency for Xournal++
> > > https://issues.guix.gnu.org/51968
> > For this class of bugs, I'd always try to include glib in the guix
> > shell and check if the issue persists.  We don't build icon caches
> > per package, so the only way to fix that is to get XDG_DATA_DIRS
> > into your profile.
> 
> Thanks for the hint.  IIUC, the inclusion of glib into the profile
> triggers a hook for generating the appropiate XDG_DATA_DIRS env
> variable into the profile, right?  Is the reason why icon caches are
> not per-package so that different icon-themes can work?  Sorry, this
> is taking an orthogonal direction.
It's a practical limitation.  There is a single file, that would leat
to a very large number of conflicts, most of them harmless but still
time-consuming to resolve.  Thus we leave it to a profile hook to
actually generate the icon themes.   This hook runs regardless, but
XDG_DATA_DIRS won't be set by it.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#56169; Package guix-patches. Full text available.

Message received at 56169 <at> debbugs.gnu.org:


Received: (at 56169) by debbugs.gnu.org; 30 Jun 2022 09:16:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 05:16:46 2022
Received: from localhost ([127.0.0.1]:32794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6qI2-00072G-C7
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 05:16:46 -0400
Received: from out3.mail.ruhr-uni-bochum.de ([134.147.53.155]:50151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel.meissner-i4k@HIDDEN>)
 id 1o6qHz-0006uk-Fr
 for 56169 <at> debbugs.gnu.org; Thu, 30 Jun 2022 05:16:44 -0400
Received: from mx3.mail.ruhr-uni-bochum.de (localhost [127.0.0.1])
 by out3.mail.ruhr-uni-bochum.de (Postfix mo-ext) with ESMTP id 4LYXl84hX9z8S6w;
 Thu, 30 Jun 2022 11:16:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ruhr-uni-bochum.de;
 s=mail-2017; t=1656580596;
 bh=dVv8AljRxXDouszowcI7u6JeM7S9rhvbaQwOMe4ypOQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=1qvH4crKeIyu4EenX7LtgxzorQKta85Ji/t/kQ5UT4zKQ4knPrHEcsBY/V1R0BPzD
 EbRp8QYnES5trT0tjRyh5ifNDf0NyUUhx5s0GO7Cv1sbrttl5xkKnz4x9/T2SChvf8
 KaLYxHumip4ou9eCOkt+N+MPrVhbv4pSDuSzIF2k=
Received: from out3.mail.ruhr-uni-bochum.de (localhost [127.0.0.1])
 by mx3.mail.ruhr-uni-bochum.de (Postfix idis) with ESMTP id 4LYXl83xTWz8S6p;
 Thu, 30 Jun 2022 11:16:36 +0200 (CEST)
X-Envelope-Sender: <daniel.meissner-i4k@HIDDEN>
X-RUB-Notes: Internal origin=IPv6:2a05:3e00:c:1001::8693:2aec
Received: from mail2.mail.ruhr-uni-bochum.de (mail2.mail.ruhr-uni-bochum.de
 [IPv6:2a05:3e00:c:1001::8693:2aec])
 by out3.mail.ruhr-uni-bochum.de (Postfix mi-int) with ESMTP id 4LYXl82Y3jz8S7q;
 Thu, 30 Jun 2022 11:16:36 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.104.1 at mx3.mail.ruhr-uni-bochum.de
Received: from xii-04 (pm26.mg07.ruhr-uni-bochum.de [10.150.49.41])
 by mail2.mail.ruhr-uni-bochum.de (Postfix) with ESMTPSA id 4LYXl763PKzDgyf;
 Thu, 30 Jun 2022 11:16:35 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.104.2 at mail2.mail.ruhr-uni-bochum.de
From: =?utf-8?Q?Daniel_Mei=C3=9Fner?= <daniel.meissner-i4k@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#56169: [PATCH] gnu: Add cambalache.
References: <87ilokc4um.fsf@HIDDEN>
 <bc31173156e4bfc4cd1f317ebdc4c768e3eeb9ff.camel@HIDDEN>
Date: Thu, 30 Jun 2022 11:16:30 +0200
In-Reply-To: <bc31173156e4bfc4cd1f317ebdc4c768e3eeb9ff.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Wed, 29 Jun 2022 18:59:07 +0200")
Message-ID: <87o7yav7dd.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56169
Cc: 56169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Liliana Marie Prikler writes:

> Am Mittwoch, dem 29.06.2022 um 09:21 +0200 schrieb Daniel Mei=C3=9Fner:
>> Hi Liliana,
>>=20
>> Thanks for packaging Cambalache :-) I have applied your patch to my
>> local Guix checkout and it builds fine.=C2=A0 However, running
>>=20
>> =C2=A0=C2=A0=C2=A0 ./pre-inst-env guix shell cambalache -- cambalace
>>=20
>> Cambalache starts up but I am unable to add any widgets.=C2=A0 There are
>> some error messages written to stderr that complain about a missing
>> typelib: CambalachePrivate.=C2=A0 I see that you wrap the programme but
>> you did not include the path to the CambalachePrivate typelib.=C2=A0 So
>> maybe this is causing the problem?
> Thanks, I'll update the patch accordingly soon=E2=84=A2.

I did a first try by wrapping the programme as follows:

--8<---------------cut here---------------start------------->8---
(wrap-program prog
              `("GI_TYPELIB_PATH"
                suffix
                (,(getenv "GI_TYPELIB_PATH")
                 ,(string-append #$output "/lib/girepository-1.0"))))
--8<---------------cut here---------------end--------------->8---

Now, with this, cambalache finds the typelib but complains on two other
things:

1. There's another typelib called Adw which is not found
2. gi.repository.GLib.GError: gdk-pixbuf-error-quark: Format der Bilddatei =
unbekannt (3)

Now 2. is more severe since it occurs when I add for example a
GtkApplicationWindow to the project.  This widget does not show up and I
cannot add other widgets to the application window.


>> Additionally, the icons in the headerbar are missing.=C2=A0 This seems to
>> be related to:
>>=20
>> Missing dependency for Xournal++
>> https://issues.guix.gnu.org/51968
> For this class of bugs, I'd always try to include glib in the guix
> shell and check if the issue persists.  We don't build icon caches per
> package, so the only way to fix that is to get XDG_DATA_DIRS into your
> profile.

Thanks for the hint.  IIUC, the inclusion of glib into the profile
triggers a hook for generating the appropiate XDG_DATA_DIRS env variable
into the profile, right?  Is the reason why icon caches are not
per-package so that different icon-themes can work?  Sorry, this is
taking an orthogonal direction.

Best

--=20
Daniel




Information forwarded to guix-patches@HIDDEN:
bug#56169; Package guix-patches. Full text available.

Message received at 56169 <at> debbugs.gnu.org:


Received: (at 56169) by debbugs.gnu.org; 29 Jun 2022 16:59:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 12:59:17 2022
Received: from localhost ([127.0.0.1]:60072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6b25-0000bV-0V
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 12:59:17 -0400
Received: from mail-ej1-f67.google.com ([209.85.218.67]:41583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o6b22-0000bC-AK
 for 56169 <at> debbugs.gnu.org; Wed, 29 Jun 2022 12:59:15 -0400
Received: by mail-ej1-f67.google.com with SMTP id u12so33773948eja.8
 for <56169 <at> debbugs.gnu.org>; Wed, 29 Jun 2022 09:59:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=B+RdUkWhnZYdjP2fVEnJmS6bAk1qvVuyM6bz5Az1LV4=;
 b=E7ugxKVHLZakr0HyXI7uiJ0mmEwZxDDyxapyTa1o294HHT5JRs9V/L2OxdJKDXtDgq
 7VP9X03rYXDI5/EERiSPanlcZ7DoNgOHAuN4wb2nW8OIQ1oe0F350jC4N491rOnV7WSb
 5KLBVQntD+MYZnOTyZGUUdEPG/VLfLyiimAeCcGIDIl3mX0RUHmggAF3UQEw+Kb7LXy5
 RagsBLymCLOYbe6W8JYElCJydKa1y4Dj3F3/wIK8rlxpiiFDBBgVw1ZhG+4H/IH+Db1u
 Yaeaw77vNqwo5cqKUyiFqcKQyKHhR+bALt+1yDFvHixpQehbqmMogzp0X7EkrAMCTKy2
 XYFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=B+RdUkWhnZYdjP2fVEnJmS6bAk1qvVuyM6bz5Az1LV4=;
 b=hutoQYRkzGDYpzXgCQ1JwsJw5gduiDDsyjvGzWpH53QlNuB+9jJJbgHgBVVL/wENED
 vJO9otUCjbeVJ0vxoJC8xtqLePSZN3GyamltcA1VYLPLnsPpa5oAIIgoIFieZOVaEFtK
 eqzpnDquxSJvbrIL5y/MkiaXFjgvyG5Qm6PoRXbn3h0/bhnFBS0b+y/HWO9EqQNYj+wd
 /YUejgaoQAxv6SEm57ny8WVKBxTTXoGIG2MbT9p7SFGSqKotPxFoaapsnGySe8vDpOy5
 JH/hM6qpDZwQWUnSBIXhtkNBDAu3ByKZmEmltVwppHm2tUJW6xwoD6rjP7ATGtJFIU2G
 Q2xg==
X-Gm-Message-State: AJIora92Oc82iHBEnPpFVmEwdBbA5gnjJO369uuB0fpNrzYDMycqPc6P
 4jcLiGzJZnHTubMFcOYEXUg=
X-Google-Smtp-Source: AGRyM1tIzAl4uJV1nTJQLEtSzpDdn0+Gi8g47l9g35k0D4AmgjWCYJ9KyFCpbartHsPHyARIVa2Pog==
X-Received: by 2002:a17:907:2d9f:b0:726:8e98:63f9 with SMTP id
 gt31-20020a1709072d9f00b007268e9863f9mr4420931ejc.28.1656521948147; 
 Wed, 29 Jun 2022 09:59:08 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 a18-20020aa7cf12000000b0043503d2fa35sm11736100edy.87.2022.06.29.09.59.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 29 Jun 2022 09:59:07 -0700 (PDT)
Message-ID: <bc31173156e4bfc4cd1f317ebdc4c768e3eeb9ff.camel@HIDDEN>
Subject: Re: [PATCH] gnu: Add cambalache.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Daniel =?ISO-8859-1?Q?Mei=DFner?= <daniel.meissner-i4k@HIDDEN>
Date: Wed, 29 Jun 2022 18:59:07 +0200
In-Reply-To: <87ilokc4um.fsf@HIDDEN>
References: <87ilokc4um.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56169
Cc: 56169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Mittwoch, dem 29.06.2022 um 09:21 +0200 schrieb Daniel Meißner:
> Hi Liliana,
> 
> Thanks for packaging Cambalache :-) I have applied your patch to my
> local Guix checkout and it builds fine.  However, running
> 
>     ./pre-inst-env guix shell cambalache -- cambalace
> 
> Cambalache starts up but I am unable to add any widgets.  There are
> some error messages written to stderr that complain about a missing
> typelib: CambalachePrivate.  I see that you wrap the programme but
> you did not include the path to the CambalachePrivate typelib.  So
> maybe this is causing the problem?
Thanks, I'll update the patch accordingly soon™.

> Additionally, the icons in the headerbar are missing.  This seems to
> be related to:
> 
> Missing dependency for Xournal++
> https://issues.guix.gnu.org/51968
For this class of bugs, I'd always try to include glib in the guix
shell and check if the issue persists.  We don't build icon caches per
package, so the only way to fix that is to get XDG_DATA_DIRS into your
profile.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#56169; Package guix-patches. Full text available.

Message received at 56169 <at> debbugs.gnu.org:


Received: (at 56169) by debbugs.gnu.org; 29 Jun 2022 07:21:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 03:21:53 2022
Received: from localhost ([127.0.0.1]:57076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6S19-0000TM-Fq
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 03:21:52 -0400
Received: from out2.mail.ruhr-uni-bochum.de ([134.147.42.229]:63488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel.meissner-i4k@HIDDEN>)
 id 1o6S13-0000T3-Et
 for 56169 <at> debbugs.gnu.org; Wed, 29 Jun 2022 03:21:42 -0400
Received: from mx2.mail.ruhr-uni-bochum.de (localhost [127.0.0.1])
 by out2.mail.ruhr-uni-bochum.de (Postfix mo-ext) with ESMTP id 4LXtDp3z5jz8SfR;
 Wed, 29 Jun 2022 09:21:30 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ruhr-uni-bochum.de;
 s=mail-2017; t=1656487290;
 bh=x2Ud8VUv6gPlzd893YXieDJTScXOMEetkoyI5p5QOkM=;
 h=From:To:Cc:Subject:Date:From;
 b=bvsaEEC73fxQYXqqoywz/BON5hbgf+hFFcoV0YtvJ7CRsmN1RBxPe8GZabHijpQCh
 VEN700Jrqi2p2GJs50WzBttBtL4DPZUFKZpbf+VY77W47QVZfeIYlS1Zl25gKhrLyD
 iGl5GbwtVCkP6hG5C1fUbvbbT/RmPS0MoOfXg1PQ=
Received: from out2.mail.ruhr-uni-bochum.de (localhost [127.0.0.1])
 by mx2.mail.ruhr-uni-bochum.de (Postfix idis) with ESMTP id 4LXtDp3Klvz8Sfl;
 Wed, 29 Jun 2022 09:21:30 +0200 (CEST)
X-Envelope-Sender: <daniel.meissner-i4k@HIDDEN>
X-RUB-Notes: Internal origin=IPv6:2a05:3e00:c:1001::8693:2aec
Received: from mail2.mail.ruhr-uni-bochum.de (mail2.mail.ruhr-uni-bochum.de
 [IPv6:2a05:3e00:c:1001::8693:2aec])
 by out2.mail.ruhr-uni-bochum.de (Postfix mi-int) with ESMTP id 4LXtDp1xxBz8SfH;
 Wed, 29 Jun 2022 09:21:30 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.104.1 at mx2.mail.ruhr-uni-bochum.de
Received: from xii-04 (pm26.mg07.ruhr-uni-bochum.de [10.150.49.41])
 by mail2.mail.ruhr-uni-bochum.de (Postfix) with ESMTPSA id 4LXtDn6MsbzDh1p;
 Wed, 29 Jun 2022 09:21:29 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.104.2 at mail2.mail.ruhr-uni-bochum.de
From: =?utf-8?Q?Daniel_Mei=C3=9Fner?= <daniel.meissner-i4k@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH] gnu: Add cambalache.
Date: Wed, 29 Jun 2022 09:21:21 +0200
Message-ID: <87ilokc4um.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56169
Cc: 56169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Liliana,

Thanks for packaging Cambalache :-) I have applied your patch to my
local Guix checkout and it builds fine.  However, running

    ./pre-inst-env guix shell cambalache -- cambalace

Cambalache starts up but I am unable to add any widgets.  There are some
error messages written to stderr that complain about a missing
typelib: CambalachePrivate.  I see that you wrap the programme but you
did not include the path to the CambalachePrivate typelib.  So maybe
this is causing the problem?

Additionally, the icons in the headerbar are missing.  This seems to be
related to:

Missing dependency for Xournal++
https://issues.guix.gnu.org/51968

Best

-- 
Daniel




Information forwarded to guix-patches@HIDDEN:
bug#56169; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2022 15:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 11:01:37 2022
Received: from localhost ([127.0.0.1]:39581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4OKv-0001Xi-B2
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:01:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:51548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o4OKp-0001XN-5i
 for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:01:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60568)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1o4OKo-0004X0-He
 for guix-patches@HIDDEN; Thu, 23 Jun 2022 11:01:30 -0400
Received: from mail-ej1-x642.google.com ([2a00:1450:4864:20::642]:34604)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1o4OKi-0004ZY-TQ
 for guix-patches@HIDDEN; Thu, 23 Jun 2022 11:01:30 -0400
Received: by mail-ej1-x642.google.com with SMTP id t5so9172070eje.1
 for <guix-patches@HIDDEN>; Thu, 23 Jun 2022 08:01:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=yCVseM6atyz787LuU6RHQB6pdvXAJfV+2zc9Q3zIV2k=;
 b=edtWhej4bH7QRW0hvXc61C7eMeIanGE2vfl/1zORwFMk+efC5ccuo1KkmV5USNCsqs
 5qDMlKR5lEIWihN7JA/aidiun9wmgjStJQiaNFjBlWhSwUxEgIg9cHi4fQt+NqRJTv2k
 36KlFEB+dXK4yblJyS+JjxJuv3XsM0srdBWuNskCms5YfYH8rzofnMyY2mWLHQnbK8Tg
 pe6n8bWdSWqzeTWnLpeuuscOjQq7wvIzsS4e69BaREapjAMDFTss6u6KqRAgJaZYFOk1
 KglsdXaJs4H3wstA7Tl2KqsyDM0whWmtUIWInbI5Cxo1BCFm66vz+ty2/MtxUnRngMgP
 Tghw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=yCVseM6atyz787LuU6RHQB6pdvXAJfV+2zc9Q3zIV2k=;
 b=qaN6z6LEgHnSXoSO0wfw+SbvxmwmfQODxRAGv7sJzr7voTx4E6VTyhP9CQGxdoqb77
 NlXza7ax9w8CM2WSetUtXongQ28af+k5CLyTFrJO/MrC2RkiK3CgUjRbodGdo8Q7wQNE
 ZAn5rvplOIZYmdT+Njw4Bh2ax4B1LKPAY8y3fl6wbtePa+vBJ9VIJRRSCusNVSNlPsMb
 5rKxp73EOQ8a4WemTJmNppYAYZtHrA4wbBUIM4biog2pIubVRjt19kNNP25hFSPppQGQ
 +Pay6xqpGbcAgiRuoOdqmneb64w+IzTo7QLBYQl1aQsFZ/MipW8lWpl0tESVlnoQTA45
 6ZIA==
X-Gm-Message-State: AJIora/UnLL9dyu8mr6gZ6ZPIsd6ylE+eZqEr64/D1k8XJz790bImuOZ
 8a2QZTowBFV6aVWPYWnY5DdYFnQkZmk=
X-Google-Smtp-Source: AGRyM1srtY1FJx2A557cS0zVXTORR6a3KXdTPoy/Gm25gBuyyLXZEUfC9Q76nz3J9oA8LR21PqhwjA==
X-Received: by 2002:a17:906:2dd:b0:712:1293:3dd8 with SMTP id
 29-20020a17090602dd00b0071212933dd8mr8736603ejk.448.1655996482795; 
 Thu, 23 Jun 2022 08:01:22 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 12-20020a170906318c00b0072124df085bsm8510951ejy.15.2022.06.23.08.01.22
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 08:01:22 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Thu, 23 Jun 2022 16:17:23 +0200
Subject: [PATCH] gnu: Add cambalache.
to: guix-patches@HIDDEN
Content-Transfer-Encoding: 7bit
Message-ID: <e7bfb699eab82f417cb1572feb984c0581878ebe.camel@HIDDEN>
MIME-Version: 1.0
Received-SPF: pass client-ip=2a00:1450:4864:20::642;
 envelope-from=liliana.prikler@HIDDEN; helo=mail-ej1-x642.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/gnome.scm (cambalache): New variable.
---
 gnu/packages/gnome.scm | 75 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 75 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 0cde3caebd..71667086f4 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -3208,6 +3208,81 @@ (define-public glade3
                                 (variable "GLADE_MODULE_SEARCH_PATH")
                                 (files '("lib/glade/modules")))))))
 
+(define-public cambalache
+  (package
+   (name "cambalache")
+   (version "0.10.2")
+   (source (origin
+            (method git-fetch)
+            (uri (git-reference
+                  (url "https://gitlab.gnome.org/jpu/cambalache")
+                  (commit version)))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32 "1mw5gk98zx03yal3p8slaqwhwkc9p2vnh0cssnmg6ivxsjscqhgz"))))
+   (build-system meson-build-system)
+   (arguments
+    (list
+     #:glib-or-gtk? #t
+     #:imported-modules `((guix build python-build-system)
+                          ,@%meson-build-system-modules)
+     #:modules '((guix build meson-build-system)
+                 ((guix build python-build-system) #:prefix python:)
+                 (guix build utils))
+     #:phases
+     #~(modify-phases %standard-phases
+         (add-after 'unpack 'patch-source
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "cambalache/cmb_view.py"
+               (("GLib\\.find_program_in_path\\('(.*)'\\)" all cmd)
+                (string-append "'"
+                               (search-input-file inputs
+                                                  (string-append "/bin/" cmd))
+                               "'")))))
+         (add-after 'unpack 'patch-build
+           (lambda _
+             (substitute* "postinstall.py"
+               (("update-desktop-database") "true"))))
+         (add-after 'wrap 'python-wrap (assoc-ref python:%standard-phases 'wrap))
+         (delete 'check)
+         (add-after 'install 'add-install-to-pythonpath
+           (assoc-ref python:%standard-phases 'add-install-to-pythonpath))
+         (add-after 'add-install-to-pythonpath 'pre-check
+           (lambda _
+             (system "Xvfb :1 &")
+             (setenv "DISPLAY" ":1")))
+         (add-after 'pre-check 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (with-directory-excursion ".."
+                 (invoke "python3" "-m" "pytest")))))
+         (add-after 'glib-or-gtk-wrap 'wrap-typelib
+           (lambda* (#:key outputs #:allow-other-keys)
+             (for-each
+              (lambda (prog)
+                (unless (wrapped-program? prog)
+                  (wrap-program
+                   prog
+                   `("GI_TYPELIB_PATH" suffix (,(getenv "GI_TYPELIB_PATH"))))))
+              (find-files (string-append (assoc-ref outputs "out")
+                                         "/bin"))))))))
+   (inputs (list bash-minimal
+                 python python-pygobject python-lxml
+                 gtk
+                 `(,gtk+ "bin") ; broadwayd
+                 `(,gtk "bin")
+                 webkitgtk-with-libsoup2))
+   (native-inputs (list `(,glib "bin") gobject-introspection
+                        gettext-minimal pkg-config
+                        python-pytest xorg-server-for-tests))
+   (home-page "https://gitlab.gnome.org/jpu/cambalache")
+   (synopsis "Rapid application development tool")
+   (description "Cambalache is a rapid application development (RAD) tool for
+Gtk 4 and 3 with a clear model-view-controller (MVC) design and
+data model first philosophy.")
+   (license (list license:lgpl2.1
+                  license:gpl2)))) ; tools
+
 (define-public libcroco
   (package
     (name "libcroco")
-- 
2.36.1





Acknowledgement sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#56169; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 1 Jul 2022 11:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.